Subject: Triangular workflow

From: Harald Nordgren <[email-masked]>
Date: Tue, 20 Jan 2026 09:35:47 +0100

>> I favor something similar to what Junio described but also including
>> @{push} by default (and ignoring it if non-existent), so that folks
>> discovering triangular workflows for the first time are easily able to
>> see what is happening.

> This also seems to me likely to be the right default. It's useful for a lot of
> GitHub and similar forges, where you send fixes upstream by first forking
> some official repository and then cloning your fork (e.g., to a laptop), setting
> up your local clone (on laptop) to have two remotes: the official repository,
> and your fork, both on the same forge.

I agree with this too, would like to make '@{upstream} @{push}' the
default.

Harald